jQuery('.recovery_title-nav').click(function() {
  let i = jQuery('.recovery_title-nav').index(jQuery(this));
  jQuery(this).addClass('unas_tab_sel').siblings().removeClass('unas_tab_sel');
  jQuery(this).siblings().addClass('unas_tab');
  jQuery(this).addClass('current-nav').siblings().removeClass('current-nav');
  jQuery(".recovery-item").eq(i).show().siblings().hide();
})


function power_sysrecover_save() {
  showWaiting();
  var data = {
    "cmd": "power_sysrecover_save",
    "token": UToken,
    "params": {}
  };
  jQuery('#poweroptions_manager_control_page').find('input').each(function(i, e) {
    if (e.checked) {
      data.params[jQuery(e).attr('name')] = 1;
    } else {
      data.params[jQuery(e).attr('name')] = 0;
    }
  })

  jQuery.ajax({
    url: "/wmi/index.php",
    type: "POST",
    async: true,
    dataType: "json",
    data: JSON.encode(data),
    contentType: "application/json",
    timeout: 30000,
    success: function(data) {
      if (data.err != 0) {
        alert(data.errmsg);
        hideWaiting();
      } else {
        var controlLEDConfirm = new MUI.Modal({
          id: 'poweroptions_manager_set_ok',
          title: UNAS._('##$@poweroptions@$##Force reset to initial settings##$@poweroptions@$##'),
          contentURL: '/apps/factoryreset/confirm_reset_led.html?v=6.0.8&',
          method: 'post',
          data: {
            'title': UNAS._('##$@poweroptions@$##Force reset to initial settings##$@poweroptions@$##'),
            'modal_id': 'poweroptions_manager_set_ok',
            'message': UNAS._('##$@poweroptions@$##Schedule saved!##$@poweroptions@$##')
          },
          modalOverlayClose: false,
          modal: true,
          width: 400,
          height: 200,
          onClose: function() {
            hideWaiting();
          }
        });

        controlLEDConfirm.ProcessConfirm = function() {
          hideWaiting();
        };
      }
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      alert(textStatus);
    }
  });

}


function power_sysrecover_load() {
  var data = {
    "cmd": "power_sysrecover_load",
    "token": UToken,
    "params": []
  };

  jQuery.ajax({
    url: "/wmi/index.php",
    type: "POST",
    async: true,
    dataType: "json",
    data: JSON.encode(data),
    contentType: "application/json",
    timeout: 30000,
    success: function(data) {
      let info = data;
      if (info) {
        for (var variable in info.results) {
          if (info.results.hasOwnProperty(variable)) {
            if (info.results[variable]) {
              jQuery('#poweroptions_manager_control_page').find('input[name=' + variable + ']').prop('checked', true);
            }
          }
        }
      }
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {

    }
  });
}


function power_sysrecover_available() {
  var data = {
    "cmd": "power_sysrecover_available",
    "token": UToken
  };

  jQuery.ajax({
    url: "/wmi/index.php",
    type: "POST",
    async: true,
    dataType: "json",
    data: JSON.encode(data),
    contentType: "application/json",
    timeout: 30000,
    success: function(data) {
      let info = data;
      if (info.err == 0) {
        jQuery('#poweroptions_manager_control_tab').show();
        power_sysrecover_load();
      } else {
        // jQuery('#poweroptions_manager_control_tab').hide().remove();
      }
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {

    }
  });
}

function showWaiting() {
  jQuery('#waiting_content_003').attr("style", "display:block");
  jQuery('#waiting_logo_003').attr("style", "display:block");
}

function hideWaiting() {
  jQuery('#waiting_content_003').attr("style", "display:none");
  jQuery('#waiting_logo_003').attr("style", "display:none");
}
